--[[

-- Atlas Data (Traditional Chinese)
-- Translated and maintained by Arith Hsu
-- arithmandarjp at yahoo.co.jp
-- Special thanks for Alfred and his website "Alfred's WoW Treasure BOX"
-- http://statue.sayya.org/wowdb/index.php
--
-- Last Updated: 6/05/2007

--]]
if (GetLocale() == 	"zhTW") then

--Invoke libraries
local BabbleTrade=AceLibrary("Babble-Tradeskill-2.2");
local BabbleFaction = AceLibrary("Babble-Faction-2.2");

--Table of loot titles
AtlasLoot_TableNames = {
    --Auch: Mana Tombs
    ["AuchManaPandemonius"] = "班提蒙尼厄斯";
    ["AuchManaPandemoniusHEROIC"] = "班提蒙尼厄斯 (英雄)";
    ["AuchManaTavarok"] = "塔瓦洛克";
    ["AuchManaTavarokHEROIC"] = "塔瓦洛克 (英雄)";
    ["AuchManaNexusPrince"] = "奈薩斯王子薩法爾";
    ["AuchManaNexusPrinceHEROIC"] = "奈薩斯王子薩法爾 (英雄)";
    ["AuchManaYor"] = "約兒";
    --Auch: Auchenai Crypts
    ["AuchCryptsShirrak"] = "死亡看守者辛瑞克";
    ["AuchCryptsShirrakHEROIC"] = "死亡看守者辛瑞克 (英雄)";
    ["AuchCryptsExarch"] = "主教瑪拉達爾";
    ["AuchCryptsExarchHEROIC"] = "主教瑪拉達爾  (英雄)";
    ["AuchCryptsAvatar"] = "馬丁瑞德的化身";
    --Auch: Sethekk Halls
    ["AuchSethekkDarkweaver"] = "暗法師希斯";
    ["AuchSethekkDarkweaverHEROIC"] = "暗法師希斯  (英雄)";
    ["AuchSethekkTalonKing"] = "鷹王伊奇斯";
    ["AuchSethekkTalonKingHEROIC"] = "鷹王伊奇斯 (英雄)";
    ["AuchSethekkRavenGod"] = "安祖";
    --Auch: Shadow Labyrinth
    ["AuchShadowHellmaw"] = "海爾瑪大使";
    ["AuchShadowHellmawHEROIC"] = "海爾瑪大使 (英雄)";
    ["AuchShadowBlackheart"] = "激勵者布萊克哈特";
    ["AuchShadowBlackheartHEROIC"] = "激勵者布萊克哈特 (英雄)";
    ["AuchShadowGrandmaster"] = "領導者瓦皮歐";
    ["AuchShadowGrandmasterHEROIC"] = "領導者瓦皮歐 (英雄)";
    ["AuchShadowMurmur"] = "莫爾墨";
    ["AuchShadowMurmurHEROIC"] = "莫爾墨 (英雄)";
    --Blackfathom Deeps
    ["BFDGhamoora"] = "加摩拉";
    ["BFDLadySarevess"] = "薩利維絲";
    ["BFDGelihast"] = "格里哈斯特";
    ["BFDBaronAquanis"] = "阿奎尼斯男爵";
    ["BFDTwilightLordKelris"] = "夢遊者克爾里斯";
    ["BFDOldSerrakis"] = "瑟拉吉斯";
    ["BFDAkumai"] = "阿庫麥爾";
    ["BFDTrash"] = "小怪 (黑暗深淵)";
    --Blackrock Depths
    ["BRDLordRoccor"] = "洛考爾";
    ["BRDHighInterrogatorGerstahn"] = "審訊官格斯塔恩";
    ["BRDArena"] = "競技場";
    ["BRDTheldren"] = "瑟爾倫";
    ["BRDHoundmaster"] = "馴犬者格雷布瑪爾";
    ["BRDPyromantLoregrain"] = "控火師羅格雷恩";
    ["BRDWarderStilgiss"] = "寶窟";
    ["BRDFineousDarkvire"] = "弗諾斯·達克維爾";
    ["BRDLordIncendius"] = "伊森迪奧斯";
    ["BRDBaelGar"] = "貝爾加";
    ["BRDGeneralAngerforge"] = "安格弗將軍";
    ["BRDGolemLordArgelmach"] = "傀儡統帥阿格曼奇";
    ["BRDGuzzler"] = "黑鐵酒吧";
    ["BRDFlamelash"] = "弗萊拉斯大使";
    ["BRDPanzor"] = "無敵的潘佐爾";
    ["BRDTomb"] = "召喚者之墓";
    ["BRDMagmus"] = "瑪格姆斯";
    ["BRDImperatorDagranThaurissan"] = "達格蘭·索瑞森大帝";
    ["BRDPrincess"] = "茉艾拉·銅鬚公主";
    ["BRDTrash"] = "小怪 (黑石深淵)";
    --Lower Blackrock Spire
    ["LBRSOmokk"] = "歐莫克大王";
    ["LBRSSpirestoneLord"] = "尖石統帥";
    ["LBRSVosh"] = "暗影獵手沃許加斯";
    ["LBRSVoone"] = "指揮官沃恩";
    ["LBRSGrayhoof"] = "莫爾·灰蹄";
    ["LBRSSmolderweb"] = "煙網蛛后";
    ["LBRSCrystalFang"] = "水晶之牙";
    ["LBRSDoomhowl"] = "烏洛克";
    ["LBRSZigris"] = "軍需官茲格雷斯";
    ["LBRSSlavener"] = "奴役者基茲盧爾";
    ["LBRSHalycon"] = "哈雷肯";
    ["LBRSWyrmthalak"] = "維姆薩拉克";
    ["LBRSGrimaxe"] = "班諾克·巨斧";
    ["LBRSSpirestoneButcher"] = "尖石屠夫";
    ["LBRSTrash"] = "小怪 (黑下)";
    --Upper Blackrock Spire
    ["UBRSEmberseer"] = "烈焰衛士艾博希爾";
    ["UBRSSolakar"] = "索拉卡·火冠";
    ["UBRSFLAME"] = "烈焰之父";
    ["UBRSRunewatcher"] = "傑德";
    ["UBRSAnvilcrack"] = "古拉魯克";
    ["UBRSRend"] = "大酋長雷德·黑手";
    ["UBRSGyth"] = "蓋斯";
    ["UBRSBeast"] = "比斯巨獸";
    ["UBRSValthalak"] = "瓦薩拉克";
    ["UBRSDrakkisath"] = "達基薩斯將軍";
    ["UBRSTrash"] = "小怪 (黑上)";
    --The Black Temple
    ["BTNajentus"] = "高階督軍納珍塔斯";
    ["BTSupremus"] = "瑟普莫斯";
    ["BTGorefiend"] = "泰朗·血魔";
    ["BTBloodboil"] = "葛塔格·血沸";
    ["BTAkama"] = "阿卡瑪的鬼魂";
    ["BTEssencofSouls"] = "死靈精華";
    ["BTShahraz"] = "薩拉茲女士";
    ["BTCouncil"] = "伊利達瑞議事";
    ["BTIllidanStormrage"] = "伊利丹怒風";
    ["BTTrash"] = "小怪 (黑暗神廟)";
    --Blackwing Lair
    ["BWLRazorgore"] = "狂野的拉佐格爾";
    ["BWLVaelastrasz"] = "墮落的瓦拉斯塔茲";
    ["BWLLashlayer"] = "勒西雷爾";
    ["BWLFiremaw"] = "費爾默";
    ["BWLEbonroc"] = "埃博諾克";
    ["BWLFlamegor"] = "弗萊格爾";
    ["BWLChromaggus"] = "克洛瑪古斯";
    ["BWLNefarian"] = "奈法利安";
    ["BWLTrashMobs"] = "小怪 (黑翼)";
    --CFR: Slave Pens
    ["CFRSlaveMennu"] = "背叛者曼紐";
    ["CFRSlaveMennuHEROIC"] = "背叛者曼紐 (英雄)";
    ["CFRSlaveRokmar"] = "爆破者洛克瑪";
    ["CFRSlaveRokmarHEROIC"] = "爆破者洛克瑪 (英雄)";
    ["CFRSlaveQuagmirran"] = "奎克米瑞";
    ["CFRSlaveQuagmirranHEROIC"] = "奎克米瑞 (英雄)";
    --CFR: The Steamvault
    ["CFRSteamThespia"] = "海法師希斯比亞";
    ["CFRSteamThespiaHEROIC"] = "海法師希斯比亞 (英雄)";
    ["CFRSteamSteamrigger"] = "米克吉勒·蒸氣操控者";
    ["CFRSteamSteamriggerHEROIC"] = "米克吉勒·蒸氣操控者 (英雄)";
    ["CFRSteamWarlord"] = "督軍卡利斯瑞";
    ["CFRSteamWarlordHEROIC"] = "督軍卡利斯瑞 (英雄)";
    ["CFRSteamTrash"] = "小怪 (蒸汽洞窟)";
    --CFR: The Underbog
    ["CFRUnderHungarfen"] = "飢餓之牙";
    ["CFRUnderHungarfenHEROIC"] = "飢餓之牙 (英雄)";
    ["CFRUnderGhazan"] = "高薩安";
    ["CFRUnderGhazanHEROIC"] = "高薩安 (英雄)";
    ["CFRUnderSwamplord"] = "沼澤王莫斯萊克";
    ["CFRUnderSwamplordHEROIC"] = "沼澤王莫斯萊克 (英雄)";
    ["CFRUnderStalker"] = "黑色捕獵者";
    ["CFRUnderStalkerHEROIC"] = "黑色捕獵者 (英雄)";
    --CFR: Serpentshrine Cavern
    ["CFRSerpentHydross"] = "不穩定者海卓司";
    ["CFRSerpentKarathress"] = "深淵之王卡拉薩瑞斯";
    ["CFRSerpentMorogrim"] = "莫洛葛利姆·潮行者";
    ["CFRSerpentLeotheras"] = "盲目者李奧薩拉斯";
    ["CFRSerpentLurker"] = "地底潛伏者";
    ["CFRSerpentVashj"] = "瓦許女士";
    ["CFRSerpentTrash"] = "小怪 (毒蛇神殿洞穴)";
    --CoT: Old Hillsbrad
    ["CoTHillsbradDrake"] = "中尉崔克";
    ["CoTHillsbradDrakeHEROIC"] = "中尉崔克 (英雄)";
    ["CoTHillsbradSkarloc"] = "史卡拉克上尉";
    ["CoTHillsbradSkarlocHEROIC"] = "史卡拉克上尉 (英雄)";
    ["CoTHillsbradHunter"] = "伊波奇獵人";
    ["CoTHillsbradHunterHEROIC"] = "伊波奇獵人 (英雄)";
    ["CoTHillsbradTrash"] = "小怪 (時光之穴:希爾斯布萊德 )";
    --CoT: Black Morass
    ["CoTMorassDeja"] = "克洛諾斯領主迪賈";
    ["CoTMorassDejaHEROIC"] = "克洛諾斯領主迪賈 (英雄)";
    ["CoTMorassTemporus"] = "坦普拉斯";
    ["CoTMorassTemporusHEROIC"] = "坦普拉斯 (英雄)";
    ["CoTMorassAeonus"] = "艾奧那斯";
    ["CoTMorassAeonusHEROIC"] = "艾奧那斯 (英雄)";
    ["CoTMorassTrash"] = "小怪 (時光之穴:黑色沼澤)";
    --CoT: Mount Hyjal
    ["MountHyjalWinterchill"] = "瑞奇·寒冬";
    ["MountHyjalAnetheron"] = "安納斯隆";
    ["MountHyjalKazrogal"] = "卡斯羅高";
    ["MountHyjalAzgalor"] = "阿斯卡勒";
    ["MountHyjalArchimonde"] = "阿克蒙德";
    --The Deadmines
    ["VCRhahkZor"] = "拉克佐";
    ["VCMinerJohnson"] = "礦工約翰森";
    ["VCSneed"] = "斯尼德";
    ["VCGilnid"] = "基爾尼格";
    ["VCCaptainGreenskin"] = "綠皮隊長";
    ["VCVanCleef"] = "艾德溫·范克里夫";
    ["VCMrSmite"] = "重拳先生";
    ["VCCookie"] = "曲奇";
    --Dire Maul East
    ["DMEPusillin"] = "普希林";
    ["DMEZevrimThornhoof"] = "瑟雷姆·刺蹄";
    ["DMEHydro"] = "海多斯博恩";
    ["DMELethtendris"] = "蕾瑟塔蒂絲";
    ["DMEAlzzin"] = "奧茲恩";
    ["DMEIsalien"] = "依薩利恩";
    ["DMETrash"] = "小怪 (東厄運)";
    ["DMBooks"] = "厄運書籍";
    --Dire Maul North
    ["DMNGuardMoldar"] = "衛兵摩爾達";
    ["DMNStomperKreeg"] = "踐踏者克雷格";
    ["DMNGuardFengus"] = "衛兵芬古斯";
    ["DMNThimblejack"] = "諾特·希姆加克";
    ["DMNGuardSlipkik"] = "衛兵斯里基克";
    ["DMNCaptainKromcrush"] = "克羅卡斯";
    ["DMNKingGordok"] = "戈多克大王";
    ["DMNTRIBUTERUN"] = "北厄貢品箱";
    --Dire Maul West
    ["DMWTendrisWarpwood"] = "特迪斯·扭木";
    ["DMWIllyannaRavenoak"] = "伊琳娜·暗木";
    ["DMWMagisterKalendris"] = "卡雷迪斯鎮長";
    ["DMWTsuzee"] = "蘇斯";
    ["DMWImmolthar"] = "伊莫塔爾";
    ["DMWHelnurath"] = "赫爾努拉斯";
    ["DMWPrinceTortheldrin"] = "托塞德林王子";
    ["DMWTrash"] = "小怪 (西厄運)";
    --Gnomeregan
    ["GnViscousFallout"] = "粘性輻射塵";
    ["GnGrubbis"] = "格魯比斯";
    ["GnElectrocutioner6000"] = "電刑器6000型";
    ["GnMekgineerThermaplugg"] = "麥克尼爾·瑟瑪普拉格";
    ["GnDIAmbassador"] = "黑鐵大師";
    ["GnCrowdPummeler960"] = "群體打擊者9-60";
    ["GnTrash"] = "小怪 (諾姆瑞根)";
    --Gruul's Lair
    ["GruulsLairHighKingMaulgar"] = "大君王莫卡爾";
    ["GruulGruul"] = "弒龍者戈魯爾";
    --HC: Blood Furnace
    ["HCFurnaceMaker"] = "創造者";
    ["HCFurnaceMakerHEROIC"] = "創造者 (英雄)";
    ["HCFurnaceBroggok"] = "布洛克";
    ["HCFurnaceBroggokHEROIC"] = "布洛克 (英雄)";
    ["HCFurnaceBreaker"] = "破壞者·凱利丹";
    ["HCFurnaceBreakerHEROIC"] = "破壞者·凱利丹 (英雄)";
    --HC: Magtheridon's Lair
    ["HCMagtheridon"] = "麥格賽立頓";
    --HC: Ramparts
    ["HCRampWatchkeeper"] = "看護者卡爾古瑪";
    ["HCRampWatchkeeperHEROIC"] = "看護者卡爾古瑪 (英雄)";
    ["HCRampOmor"] = "無疤者歐瑪爾";
    ["HCRampOmorHEROIC"] = "無疤者歐瑪爾 (英雄)";
    ["HCRampVazruden"] = "維斯路登";
    ["HCRampNazan"] = "納桑";
    ["HCRampFelIronChest"] = "強化惡魔鐵箱";
    ["HCRampFelIronChestHEROIC"] = "強化惡魔鐵箱 (英雄)";
    --HC: Shattered Halls
    ["HCHallsNethekurse"] = "大術士·奈德克斯";
    ["HCHallsNethekurseHEROIC"] = "大術士·奈德克斯 (英雄)";
    ["HCHallsOmrogg"] = "戰爭製造者·歐姆拉格";
    ["HCHallsOmroggHEROIC"] = "戰爭製造者·歐姆拉格 (英雄)";
    ["HCHallsKargath"] = "大酋長卡喀斯·刃拳";
    ["HCHallsKargathHEROIC"] = "大酋長卡喀斯·刃拳 (英雄)";
    ["HCHallsTrash"] = "小怪 (地域火:破碎大廳)";
    --Karazhan
    ["KaraAttumen"] = "獵人阿圖曼";
    ["KaraNamed"] = "動物之王";
    ["KaraMoroes"] = "摩洛";
    ["KaraMaiden"] = "虛幻魔女";
    ["KaraOperaEvent"] = "歌劇事件";
    ["KaraCurator"] = "監護者";
    ["KaraIllhoof"] = "泰瑞斯提安·疫蹄";
    ["KaraAran"] = "艾蘭之影";
    ["KaraNetherspite"] = "尼德斯";
    ["KaraNightbane"] = "夜禍";
    ["KaraChess"] = "西洋棋事件";
    ["KaraPrince"] = "瑪克薩王子";
    ["KaraTrash"] = "小怪 (卡拉贊)";
    --Maraudon
    ["MaraNoxxion"] = "諾克賽恩";
    ["MaraRazorlash"] = "銳刺鞭笞者";
    ["MaraLordVyletongue"] = "維利塔恩";
    ["MaraMeshlok"] = "收割者麥什洛克";
    ["MaraCelebras"] = "被詛咒的塞雷布拉斯";
    ["MaraLandslide"] = "蘭斯利德";
    ["MaraTinkererGizlock"] = "工匠吉茲洛克";
    ["MaraRotgrip"] = "洛特格里普";
    ["MaraPrincessTheradras"] = "瑟萊德絲公主";
    --Molten Core
    ["MCLucifron"] = "魯西弗隆";
    ["MCMagmadar"] = "瑪格曼達";
    ["MCGehennas"] = "基赫納斯";
    ["MCGarr"] = "加爾";
    ["MCShazzrah"] = "沙斯拉爾";
    ["MCGeddon"] = "迦頓男爵";
    ["MCGolemagg"] = "焚化者古雷曼格";
    ["MCSulfuron"] = "薩弗隆先驅者";
    ["MCMajordomo"] = "管理者埃克索圖斯";
    ["MCRagnaros"] = "拉格納羅斯";
    ["MCTrashMobs"] = "小怪";
    ["MCRANDOMBOSSDROPPS"] = "首領隨機掉落";
    --Naxxramas
    ["NAXPatchwerk"] = "縫補者";
    ["NAXGrobbulus"] = "葛羅巴斯";
    ["NAXGluth"] = "古魯斯";
    ["NAXThaddius"] = "泰迪斯";
    ["NAXAnubRekhan"] = "阿努比瑞克漢";
    ["NAXGrandWidowFaerlina"] = "大寡婦費琳娜";
    ["NAXMaexxna"] = "梅克絲娜";
    ["NAXInstructorRazuvious"] = "講師拉祖維斯";
    ["NAXGothikderHarvester"] = "收割者高希";
    ["NAXTheFourHorsemen"] = "四騎士";
    ["NAXNothderPlaguebringer"] = "瘟疫者諾斯";
    ["NAXHeiganderUnclean"] = "骯髒者海根";
    ["NAXLoatheb"] = "洛斯伯";
    ["NAXSapphiron"] = "薩菲隆";
    ["NAXKelThuzard"] = "科爾蘇加德";
    ["NAXTrash"] = "小怪 (納克薩瑪斯)";
    --Onyxia's Lair
    ["Onyxia"] = "奧妮克希亞";
    --Ragefire Chasm
    ["RFCTaragaman"] = "饑餓者塔拉加曼";
    ["RFCJergosh"] = "祈求者耶戈什";
    --Razorfen Downs
    ["RFDTutenkash"] = "圖特卡什";
    ["RFDMordreshFireEye"] = "火眼莫德雷斯";
    ["RFDGlutton"] = "暴食者";
    ["RFDRagglesnout"] = "拉戈斯諾特";
    ["RFDAmnennar"] = "寒冰之王亞門納爾";
    ["RFDTrash"] = "小怪 (RFD)";
    --Razorfen Kraul
    ["RFKDeathSpeakerJargba"] = "亡語者賈格巴";
    ["RFKOverlordRamtusk"] = "主宰拉姆塔斯";
    ["RFKAgathelos"] = "暴怒的阿迦賽羅斯";
    ["RFKBlindHunter"] = "盲眼獵手";
    ["RFKCharlgaRazorflank"] = "卡爾加·刺肋";
    ["RFKEarthcallerHalmgar"] = "喚地者哈穆加";
    ["RFKTrash"] = "小怪 (RFK)";
    --The Ruins of Ahn'Qiraj
    ["AQ20Kurinnaxx"] = "庫林納克斯";
    ["AQ20Andorov"] = "安多洛夫中將";
    ["AQ20CAPTIAN"] = "拉賈克斯的上尉們";
    ["AQ20Rajaxx"] = "拉賈克斯將軍";
    ["AQ20Moam"] = "莫阿姆";
    ["AQ20Buru"] = "吞咽者布魯";
    ["AQ20Ayamiss"] = "狩獵者阿亞米斯";
    ["AQ20Ossirian"] = "無疤者奧斯里安";
    ["AQ20ClassBooks"] =  "AQ 職業書籍";
    ["AQEnchants"] = "AQ 公式";
    --Scarlet Monestery
    ["SMHoundmasterLoksey"] = "馴犬者洛克希";
    ["SMDoan"] = "祕法師杜安";
    ["SMHerod"] = "赫洛德";
    ["SMFairbanks"] = "大檢察官法爾班克斯";
    ["SMMograine"] = "血色十字軍指揮官莫格萊尼";
    ["SMWhitemane"] = "大檢察官懷特邁恩";
    ["SMIronspine"] = "鐵脊死靈";
    ["SMAzshir"] = "永醒的艾希爾";
    ["SMFallenChampion"] = "死靈勇士";
    ["SMBloodmageThalnos"] = "血法師薩爾諾斯";
    ["SMTrash"] = "小怪 (SM)";
    --Scholomance
    ["SCHOLOKirtonostheHerald"] = "傳令官基爾圖諾斯";
    ["SCHOLOJandiceBarov"] = "詹迪斯·巴羅夫";
    ["SCHOLORattlegore"] = "血骨傀儡";
    ["SCHOLODeathKnight"] = "死亡騎士達克雷爾";
    ["SCHOLOMarduk"] = "馬杜克·布萊克波爾";
    ["SCHOLOVectus"] = "維克圖斯";
    ["SCHOLORasFrostwhisper"] = "萊斯·霜語";
    ["SCHOLOKormok"] = "科爾莫克 (召喚)";
    ["SCHOLOInstructorMalicia"] = "講師瑪麗希亞";
    ["SCHOLODoctorTheolenKrastinov"] = "講師瑪麗希亞";
    ["SCHOLOLorekeeperPolkelt"] = "博學者普克爾特";
    ["SCHOLOTheRavenian"] = "拉文尼亞";
    ["SCHOLOLordAlexeiBarov"] = "阿萊克斯·巴羅夫";
    ["SCHOLOLadyIlluciaBarov"] = "伊露希亞·巴羅夫";
    ["SCHOLODarkmasterGandling"] = "黑暗院長加丁";
    ["SCHOLOTrash"] = "小怪 (通靈)";
    --Shadowfang Keep
    ["BSFRazorclawtheButcher"] = "屠夫拉佐克勞";
    ["BSFSilverlaine"] = "席瓦萊恩男爵";
    ["BSFSpringvale"] = "指揮官斯普林瓦爾";
    ["BSFOdotheBlindwatcher"] = "盲眼守衛奧杜";
    ["BSFFenrustheDevourer"] = "吞噬者芬魯斯";
    ["BSFWolfMasterNandos"] = "狼王南杜斯";
    ["BSFArchmageArugal"] = "大法師阿魯高";
    ["BSFTrash"] = "小怪 (SFK)";
    --The Stockade
    ["SWStKamDeepfury"] = "卡姆·深怒";
    ["SWStBruegalIronknuckle"] = "布魯戈·艾爾克納寇";
    --Stratholme
    ["STRATSkull"] = "斯庫爾";
    ["STRATStratholmeCourier"] = "郵箱鑰匙";
    ["STRATFrasSiabi"] = "弗拉斯·希亞比";
    ["STRATHearthsingerForresten"] = "弗雷斯特恩";
    ["STRATTheUnforgiven"] = "不可寬恕者";
    ["STRATTimmytheCruel"] = "悲慘的提米";
    ["STRATCannonMasterWilley"] = "炮手威利";
    ["STRATArchivistGalford"] = "檔案管理員加爾福特";
    ["STRATBalnazzar"] = "巴納札爾";
    ["STRATSothosJarien"] = "索索斯及賈林";
    ["STRATStonespine"] = "石脊";
    ["STRATBaronessAnastari"] = "安娜絲塔麗男爵夫人";
    ["STRATNerubenkan"] = "奈魯布恩坎";
    ["STRATMalekithePallid"] = "蒼白的瑪勒基";
    ["STRATMagistrateBarthilas"] = "巴瑟拉斯鎮長";
    ["STRATRamsteintheGorger"] = "吞嚥者拉姆斯登";
    ["STRATBaronRivendare"] = "瑞文戴爾男爵";
    ["STRATTrash"] = "小怪 (斯坦)";
    --Sunken Temple
    ["STTrollMinibosses"] = "食人妖小首領";
    ["STAtalalarion"] = "阿塔拉利恩";
    ["STDreamscythe"] = "德姆塞卡爾";
    ["STWeaver"] = "德拉維沃爾";
    ["STAvatarofHakkar"] = "哈卡的化身";
    ["STJammalan"] = "預言者迦瑪蘭";
    ["STOgom"] = "可悲的奧戈姆";
    ["STMorphaz"] = "摩弗拉斯";
    ["STHazzas"] = "哈札斯";
    ["STEranikus"] = "伊蘭尼庫斯的陰影";
    ["STTrash"] = "小怪 (ST)";
    --Temple of Ahn'Qiraj
    ["AQ40Skeram"] = "預言者斯克拉姆";
    ["AQ40Vem"] = "蟲族";
    ["AQ40Sartura"] = "沙爾圖拉";
    ["AQ40Fankriss"] = "頑強的范克里斯";
    ["AQ40Viscidus"] = "維希度斯";
    ["AQ40Huhuran"] = "哈霍蘭公主";
    ["AQ40Emperors"] = "雙子帝王";
    ["AQ40Ouro"] = "奧羅";
    ["AQ40CThun"] = "克蘇恩";
    ["AQ40Trash"] = "小怪 (AQ40)";
    ["AQOpening"] = "安其拉開門系列任務";
    --TK: The Arcatraz
    ["TKArcUnbound"] = "無約束的希瑞奇斯";
    ["TKArcUnboundHEROIC"] = "無約束的希瑞奇斯 (英雄)";
    ["TKArcScryer"] = "怒鐮者索扣斯瑞特";
    ["TKArcScryerHEROIC"] = "怒鐮者索扣斯瑞特 (英雄)";
    ["TKArcDalliah"] = "末日預言者達利亞";
    ["TKArcDalliahHEROIC"] = "末日預言者達利亞 (英雄)";
    ["TKArcHarbinger"] = "先驅者史蓋力司";
    ["TKArcHarbingerHEROIC"] = "先驅者史蓋力司 (英雄)";
    ["TKArcTrash"] = "小怪 (風暴:亞克崔茲)";
    --TK: The Botanica
    ["TKBotSarannis"] = "指揮官薩瑞尼斯";
    ["TKBotSarannisHEROIC"] = "指揮官薩瑞尼斯 (英雄)";
    ["TKBotFreywinn"] = "大植物學家費瑞衛恩";
    ["TKBotFreywinnHEROIC"] = "大植物學家費瑞衛恩 (英雄)";
    ["TKBotThorngrin"] = "看管者索古林";
    ["TKBotThorngrinHEROIC"] = "看管者索古林 (英雄)";
    ["TKBotLaj"] = "拉杰";
    ["TKBotLajHEROIC"] = "拉杰 (英雄)";
    ["TKBotSplinter"] = "扭曲分裂者";
    ["TKBotSplinterHEROIC"] = "扭曲分裂者 (英雄)";
    ["TKBotTrash"] = "小怪 (風暴:波塔尼卡)";
    --TK: The Eye
    ["TKEyeAlar"] = "歐爾";
    ["TKEyeVoidReaver"] = "虛空劫掠者";
    ["TKEyeSolarian"] = "索拉瑞恩";
    ["TKEyeKaelthas"] = "凱爾薩斯";
    ["TKEyeTrash"] = "小怪 (風暴:暴風之眼)";
    --TK: The Mechanar
    ["TKMechGyro"] = "看守者蓋洛奇歐";
    ["TKMechGyroHEROIC"] = "看守者蓋洛奇歐 (英雄)";
    ["TKMechIron"] = "看守者鐵手";
    ["TKMechIronHEROIC"] = "看守者鐵手 (英雄)";
    ["TKMechCacheoftheLegion"] = "軍團儲藏處";
    ["TKMechCapacitus"] = "機械王卡帕希特斯";
    ["TKMechCapacitusHEROIC"] = "機械王卡帕希特斯 (英雄)";
    ["TKMechSepethrea"] = "虛空術師賽派斯瑞";
    ["TKMechSepethreaHEROIC"] = "虛空術師賽派斯瑞 (英雄)";
    ["TKMechCalc"] = "計算者帕薩里歐";
    ["TKMechCalcHEROIC"] = "計算者帕薩里歐 (英雄)";
    ["TKMechTrash"] = "小怪 (風暴:麥克那爾)";
    --Uldaman
    ["UldRevelosh"] = "魯維羅什";
    ["UldIronaya"] = "艾隆納亞";
    ["UldAncientStoneKeeper"] = "古代的石頭看守者";
    ["UldGalgannFirehammer"] = "加加恩·火錘";
    ["UldGrimlok"] = "格瑞姆洛克";
    ["UldArchaedas"] = "阿札達斯";
    ["UldTrash"] = "小怪 (奧達曼)";
    --Wailing Caverns
    ["WCLordCobrahn"] = "考布萊恩";
    ["WCLadyAnacondra"] = "安娜科德拉";
    ["WCKresh"] = "克雷什";
    ["WCLordPythas"] = "皮薩斯";
    ["WCSkum"] = "斯卡姆";
    ["WCLordSerpentis"] = "瑟芬迪斯";
    ["WCVerdan"] = "永生者沃爾丹";
    ["WCMutanus"] = "吞噬者穆坦努斯";
    ["WCDeviateFaerieDragon"] = "變異精靈龍";
    --Zul'Farrak
    ["ZFAntusul"] = "安圖蘇爾";
    ["ZFWitchDoctorZumrah"] = "巫醫祖穆拉恩";
    ["ZFSezzziz"] = "暗影祭司塞瑟斯";
    ["ZFGahzrilla"] = "加茲瑞拉";
    ["ZFDustwraith"] = "灰塵怨靈";
    ["ZFChiefUkorzSandscalp"] = "烏克茲·沙頂";
    ["ZFZerillis"] = "澤雷利斯";
    ["ZFTrash"] = "小怪 (ZF)";
    --Zul'Gurub
    ["ZGJeklik"] = "高階祭司耶克里克";
    ["ZGVenoxis"] = "高階祭司溫諾希斯";
    ["ZGMarli"] = "哈卡萊安魂者";
    ["ZGMandokir"] = "血領主曼多基爾";
    ["ZGGrilek"] = "格里雷克";
    ["ZGHazzarah"] = "哈札拉爾";
    ["ZGRenataki"] = "雷納塔基";
    ["ZGWushoolay"] = "烏蘇雷";
    ["ZGGahzranka"] = "加茲蘭卡";
    ["ZGThekal"] = "古拉巴什食腐者";
    ["ZGArlokk"] = "哈卡萊先知";
    ["ZGJindo"] = "妖術師金度";
    ["ZGHakkar"] = "哈卡";
    ["ZGShared"] = "ZG首領隨機掉落";
    ["ZGTrash1"] = "小怪 (ZG)";
    ["ZGTrash2"] = "小怪 (ZG)";
    ["ZGEnchants"] = "ZG 公式";
    --Arena PvP Sets
    ["ArenaDruid"] = "德魯伊競技場套裝";
    ["ArenaHunter"] = "獵人競技場套裝";
    ["ArenaMage"] = "法師競技場套裝";
    ["ArenaPaladin"] = "聖騎士競技場套裝";
    ["ArenaPriest"] = "牧師競技場套裝";
    ["ArenaRogue"] = "盜賊競技場套裝";
    ["ArenaShaman"] = "薩滿競技場套裝";
    ["ArenaWarlock"] = "術士競技場套裝";
    ["ArenaWarrior"] = "戰士競技場套裝";
    --Arena PvP Sets, season 2
    ["Arena2Druid"] = "德魯伊競技場套裝";
    ["Arena2Hunter"] = "獵人競技場套裝";
    ["Arena2Mage"] = "法師競技場套裝";
    ["Arena2Paladin"] = "聖騎士競技場套裝";
    ["Arena2Priest"] = "牧師競技場套裝";
    ["Arena2Rogue"] = "盜賊競技場套裝";
    ["Arena2Shaman"] = "薩滿競技場套裝";
    ["Arena2Warlock"] = "術士競技場套裝";
    ["Arena2Warrior"] = "戰士競技場套裝";
    --Level 60 PvP Sets
    ["PVPDruid"] = "德魯伊PvP套裝 (等級 60)";
    ["PVPHunter"] = "獵人PvP套裝 (等級 60)";
    ["PVPMage"] = "法師PvP套裝 (等級 60)";
    ["PVPPaladin"] = "聖騎士PvP套裝 (等級 60)";
    ["PVPPriest"] = "牧師PvP套裝 (等級 60)";
    ["PVPRogue"] = "盜賊PvP套裝 (等級 60)";
    ["PVPShaman"] = "薩滿PvP套裝 (等級 60)";
    ["PVPWarlock"] = "術士PvP套裝 (等級 60)";
    ["PVPWarrior"] = "戰士PvP套裝 (等級 60)";
    --Level 70 PvP Sets
    ["PVP70Druid"] = "德魯伊PvP套裝 (等級 70)";
    ["PVP70Hunter"] = "獵人PvP套裝 (等級 70)";
    ["PVP70Mage"] = "法師PvP套裝 (等級 70)";
    ["PVP70Paladin"] = "聖騎士PvP套裝 (等級 70)";
    ["PVP70Priest"] = "牧師PvP套裝 (等級 70)";
    ["PVP70Rogue"] = "盜賊PvP套裝 (等級 70)";
    ["PVP70Shaman"] = "薩滿PvP套裝 (等級 70)";
    ["PVP70Warlock"] = "術士PvP套裝 (等級 70)";
    ["PVP70Warrior"] = "戰士PvP套裝 (等級 70)";
    --AQ20 Sets
    ["AQ20Druid"] = "德魯伊RAQ套裝";
    ["AQ20Hunter"] = "獵人RAQ套裝";
    ["AQ20Mage"] = "法師RAQ套裝";
    ["AQ20Paladin"] = "聖騎士RAQ套裝";
    ["AQ20Priest"] = "牧師RAQ套裝";
    ["AQ20Rogue"] = "盜賊RAQ套裝";
    ["AQ20Shaman"] = "薩滿RAQ套裝";
    ["AQ20Warlock"] = "術士RAQ套裝";
    ["AQ20Warrior"] = "戰士RAQ套裝";
    --AQ40 Sets
    ["AQ40Druid"] = "德魯伊TAQ套裝";
    ["AQ40Hunter"] = "獵人TAQ套裝";
    ["AQ40Mage"] = "法師TAQ套裝";
    ["AQ40Paladin"] = "聖騎士TAQ套裝";
    ["AQ40Priest"] = "牧師TAQ套裝";
    ["AQ40Rogue"] = "盜賊TAQ套裝";
    ["AQ40Shaman"] = "薩滿TAQ套裝";
    ["AQ40Warlock"] = "術士TAQ套裝";
    ["AQ40Warrior"] = "戰士TAQ套裝";
    --AQ40 Sets
    ["AQ40Druid"] = "德魯伊TAQ套裝";
    ["AQ40Hunter"] = "獵人TAQ套裝";
    ["AQ40Mage"] = "法師TAQ套裝";
    ["AQ40Paladin"] = "聖騎士TAQ套裝";
    ["AQ40Priest"] = "牧師TAQ套裝";
    ["AQ40Rogue"] = "盜賊TAQ套裝";
    ["AQ40Shaman"] = "薩滿TAQ套裝";
    ["AQ40Warlock"] = "術士TAQ套裝";
    ["AQ40Warrior"] = "戰士TAQ套裝";
    --Pre60 Sets
    ["DEADMINES"] = "迪菲亞皮甲";
    ["WAILING"] = "毒蛇的擁抱";
    ["SCARLET"] = "血色十字軍鏈甲";
    ["BLACKROCKD"] = "角鬥士套裝";
    ["IRONWEAVE"] = "鐵織戰裝";
    ["ScholoCloth"] = "骨堆套裝";
    ["ScholoLeather"] = "蒼白套裝";
    ["ScholoMail"] = "血鏈套裝";
    ["ScholoPlate"] = "亡骨守護者";
    ["STRAT"] = "郵差套裝";
    ["ScourgeInvasion"] = "天譴軍團";
    ["ShardOfGods"] = "天神碎片";
    ["ZGRings"] = "祖爾格拉布套戒";
    ["SpiritofEskhandar"] = "艾斯卡達爾之魂";
    ["HakkariBlades"] = "哈卡萊雙刃";
    ["PrimalBlessing"] = "原始祝福";
    ["DalRend"] = "雷德雙刀";
    ["SpiderKiss"] = "蜘蛛之吻";
    --BC Sets
    ["TwinStars"] = "雙子星套裝";
    ["AzzinothBlades"] = "埃辛諾斯雙刃";
    --Crafted Sets - Blacksmithing
    ["ImperialPlate"] = "君王鎧甲";
    ["TheDarksoul"] = "黑暗之魂";
    ["FelIronPlate"] = "魔鐵鎧甲";
    ["AdamantiteB"] = "艾曼泰戰甲";
    ["ShadowG"] = "暗影套裝";
    ["EnchantedAdaman"] = "附魔艾曼泰護甲";
    ["KhoriumWard"] = "可利安結界";
    ["FaithFelsteel"] = "信仰魔鋼";
    ["BurningRage"] = "燃燒狂怒";
    ["BloodsoulEmbrace"] = "血魂的擁抱";
    ["FelIronChain"] = "魔鐵鍊甲";
    --Crafted Sets - Tailoring
    ["BloodvineG"] = "血藤之服";
    ["NeatherVest"] = "地紋套裝";
    ["ImbuedNeather"] = "韌化地紋套裝";
    ["ArcanoVest"] = "奧紋套裝";
    ["TheUnyielding"] = "堅定套裝";
    ["WhitemendWis"] = "白癒智慧";
    ["SpellstrikeInfu"] = "法擊套裝";
    ["BattlecastG"] = "戰放服裝";
    ["SoulclothEm"] = "靈魂布的擁抱";
    ["PrimalMoon"] = "原始月布";
    ["ShadowEmbrace"] = "暗影的擁抱";
    ["SpellfireWrath"] = "魔焰之怒";
    --Crafted Sets - Leatherworking
    ["VolcanicArmor"] = "火山護甲";
    ["IronfeatherArmor"] = "鐵羽護甲";
    ["StormshroudArmor"] = "雷暴護甲";
    ["DevilsaurArmor"] = "魔暴龍護甲";
    ["BloodTigerH"] = "血虎套索";
    ["PrimalBatskin"] = "原始蝙蝠皮套裝";
    ["WildDraenishA"] = "狂野德萊尼護甲";
    ["ThickDraenicA"] = "厚德萊尼護甲";
    ["FelSkin"] = "惡魔皮膚";
    ["SClefthoof"] = "裂蹄力量";
    ["GreenDragonM"] = "綠龍鎖甲";
    ["BlueDragonM"] = "藍龍鎖甲";
    ["BlackDragonM"] = "黑龍鎖甲";
    ["ScaledDraenicA"] = "德萊尼鱗護甲";
    ["FelscaleArmor"] = "魔鱗護甲";
    ["FelstalkerArmor"] = "惡魔捕獵者套裝";
    ["NetherFury"] = "虛空之怒套裝";
    ["PrimalIntent"] = "原始之意套裝";
    ["WindhawkArmor"] = "風之隼護甲";
    ["NetherscaleArmor"] = "地獄鱗護甲";
    ["NetherstrikeArmor"] = "地擊套裝";
    --ZG Sets
    ["ZGDruid"] = "德魯伊ZG套裝";
    ["ZGHunter"] = "獵人ZG套裝";
    ["ZGMage"] = "法師ZG套裝";
    ["ZGPaladin"] = "聖騎士ZG套裝";
    ["ZGPriest"] = "牧師ZG套裝";
    ["ZGRogue"] = "盜賊ZG套裝";
    ["ZGShaman"] = "薩滿ZG套裝";
    ["ZGWarlock"] = "術士ZG套裝";
    ["ZGWarrior"] = "戰士ZG套裝";
    --Dungeon Set 1/2
    ["T0Druid"] = "德魯伊副本套裝 1/2";
    ["T0Hunter"] = "獵人副本套裝 1/2";
    ["T0Mage"] = "法師副本套裝 1/2";
    ["T0Paladin"] = "聖騎士副本套裝 1/2";
    ["T0Priest"] = "牧師副本套裝 1/2";
    ["T0Rogue"] = "盜賊副本套裝 1/2";
    ["T0Shaman"] = "薩滿副本套裝 1/2";
    ["T0Warlock"] = "術士副本套裝 1/2";
    ["T0Warrior"] = "戰士副本套裝 1/2";
    --Dungeon Set 3
    ["DS3Hallowed"] = "神聖儀祭衣飾套裝 (布甲)";
    ["DS3Incanter"] = "魔法使的外衣套裝 (布甲)";
    ["DS3Mana"] = "魔法蝕刻戰衣套裝 (布甲)";
    ["DS3Oblivion"] = "失落戰衣套裝 (布甲)";
    ["DS3Assassin"] = "暗殺者護甲 (皮甲)";
    ["DS3Moonglade"] = "月光林地套裝 (皮甲)";
    ["DS3Wastewalker"] = "廢墟行者護甲套裝 (皮甲)";
    ["DS3Beast"] = "野獸之王護甲 (鎖甲)";
    ["DS3Desolation"] = "哀傷之鏈套裝 (鎖甲)";
    ["DS3Tidefury"] = "潮汐之怒鎖甲套裝 (鎖甲)";
    ["DS3Bold"] = "無懼護甲套裝 (鎧甲)";
    ["DS3Doom"] = "末日戰甲套裝 (鎧甲)";
    ["DS3Right"] = "公正護甲 (鎧甲)";
    --T1 Sets
    ["T1Druid"] = "德魯伊T1套裝";
    ["T1Hunter"] = "獵人T1套裝";
    ["T1Mage"] = "法師T1套裝";
    ["T1Paladin"] = "聖騎士T1套裝";
    ["T1Priest"] = "牧師T1套裝";
    ["T1Rogue"] = "盜賊T1套裝";
    ["T1Shaman"] = "薩滿T1套裝";
    ["T1Warlock"] = "術士T1套裝";
    ["T1Warrior"] = "戰士T1套裝";
    --T2 Sets
    ["T2Druid"] = "德魯伊T2套裝";
    ["T2Hunter"] = "獵人T2套裝";
    ["T2Mage"] = "法師T2套裝";
    ["T2Paladin"] = "聖騎士T2套裝";
    ["T2Priest"] = "牧師T2套裝";
    ["T2Rogue"] = "盜賊T2套裝";
    ["T2Shaman"] = "薩滿T2套裝";
    ["T2Warlock"] = "術士T2套裝";
    ["T2Warrior"] = "戰士T2套裝";
    --T3 Sets
    ["T3Druid"] = "德魯伊T3套裝";
    ["T3Hunter"] = "獵人T3套裝";
    ["T3Mage"] = "法師T3套裝";
    ["T3Paladin"] = "聖騎士T3套裝";
    ["T3Priest"] = "牧師T3套裝";
    ["T3Rogue"] = "盜賊T3套裝";
    ["T3Shaman"] = "薩滿T3套裝";
    ["T3Warlock"] = "術士T3套裝";
    ["T3Warrior"] = "戰士T3套裝";
    --T4 Sets
    ["T4Druid"] = "德魯伊T4套裝";
    ["T4Hunter"] = "獵人T4套裝";
    ["T4Mage"] = "法師T4套裝";
    ["T4Paladin"] = "聖騎士T4套裝";
    ["T4Priest"] = "牧師T4套裝";
    ["T4Rogue"] = "盜賊T4套裝";
    ["T4Shaman"] = "薩滿T4套裝";
    ["T4Warlock"] = "術士T4套裝";
    ["T4Warrior"] = "戰士T4套裝";
    --T5 Sets
    ["T5Druid"] = "德魯伊T5套裝";
    ["T5Hunter"] = "獵人T5套裝";
    ["T5Mage"] = "法師T5套裝";
    ["T5Paladin"] = "聖騎士T5套裝";
    ["T5Priest"] = "牧師T5套裝";
    ["T5Rogue"] = "盜賊T5套裝";
    ["T5Shaman"] = "薩滿T5套裝";
    ["T5Warlock"] = "術士T5套裝";
    ["T5Warrior"] = "戰士T5套裝";
    --T6 Sets
    ["T6Druid"] = "德魯伊T6套裝";
    ["T6Hunter"] = "獵人T6套裝";
    ["T6Mage"] = "法師T6套裝";
    ["T6Paladin"] = "聖騎士T6套裝";
    ["T6Priest"] = "牧師T6套裝";
    ["T6Rogue"] = "盜賊T6套裝";
    ["T6Shaman"] = "薩滿T6套裝";
    ["T6Warlock"] = "術士T6套裝";
    ["T6Warrior"] = "戰士T6套裝";
    --Misc Sets
    ["HardModeToken"] = "等級 70 副本獎勵: 配件";
    ["HardModeToken2"] = "等級 70 副本獎勵: 火抗裝備";
    ["HardModeToken3"] = "等級 70 副本獎勵: 裝備與武器";
    ["Legendaries"] = "傳說物品";
    ["RareMounts"] = "稀有坐騎";
    ["Tabards1"] = "大衣/軍服";
    ["Tabards2"] = "大衣/軍服";
    ["CraftedWeapons1"] = "鍛造史詩武器";
    ["CraftedWeapons2"] = "鍛造史詩武器";
    --Azuregos
    ["AAzuregos"] = "艾索雷葛斯";
    --Doom Lord Kazzak
    ["DoomLordKazzak"] = "毀滅之王卡札克";
    --Doomwalker
    ["DDoomwalker"] = "厄運行者";
    --Emeriss
    ["DEmeriss"] = "艾莫莉絲";
    --Highlord Kruul
    ["KKruul"] = "卡魯歐領主";
    --Lethon
    ["DLethon"] = "雷索";
    --Taerar
    ["DTaerar"] = "泰拉爾";
    --Ysondre
    ["DYsondre"] = "伊索德雷";
    --Aldor
    ["Aldor1"] = BabbleFaction["The Aldor"]..": 友好/尊敬";
    ["Aldor2"] = BabbleFaction["The Aldor"]..": 崇敬/崇拜";
    --The Argent Dawn
    ["Argent1"] = BabbleFaction["Argent Dawn"]..": 象徵物兌換獎勵";
    ["Argent2"] = BabbleFaction["Argent Dawn"];
    --Ashtongue Deathsworn
    ["Ashtongue1"] = BabbleFaction["Ashtongue Deathsworn"];
    ["Ashtongue2"] = BabbleFaction["Ashtongue Deathsworn"];
    --The Bloodsail Buccaneers
    ["Bloodsail1"] = BabbleFaction["Bloodsail Buccaneers"];
    --The Brood of Nozdormu
    ["AQBroodRings"] = BabbleFaction["Brood of Nozdormu"];
    --The Cenarion Circle
    ["Cenarion1"] = BabbleFaction["Cenarion Circle"]..": 友好";
    ["Cenarion2"] = BabbleFaction["Cenarion Circle"]..": 尊敬";
    ["Cenarion3"] = BabbleFaction["Cenarion Circle"]..": 崇敬";
    ["Cenarion4"] = BabbleFaction["Cenarion Circle"]..": 崇拜";
    --The Cenarion Expedition
    ["CExpedition1"] = BabbleFaction["Cenarion Expedition"]..": 友好/尊敬";
    ["CExpedition2"] = BabbleFaction["Cenarion Expedition"]..": 崇敬/崇拜";
    --The Consortium
    ["Consortium1"] = BabbleFaction["The Consortium"]..": 友好/尊敬";
    ["Consortium2"] = BabbleFaction["The Consortium"]..": 崇敬/崇拜";
    --The Darkmoon Faire
    ["Darkmoon"] = BabbleFaction["Darkmoon Faire"];
    --The Frostwolf Clan
    ["Frostwolf1"] = BabbleFaction["Frostwolf Clan"];
    --The Hydraxian Waterlords
    ["WaterLords1"] = BabbleFaction["Hydraxian Waterlords"];
    --Honor Hold
    ["HonorHold1"] = BabbleFaction["Honor Hold"]..": 友好/尊敬";
    ["HonorHold2"] = BabbleFaction["Honor Hold"]..": 崇敬/崇拜";
    --The Keepers of Time
    ["KeepersofTime1"] = BabbleFaction["Keepers of Time"];
    --The Kurenai
    ["Kurenai1"] = BabbleFaction["Kurenai"];
    --Lower City
    ["LowerCity1"] = BabbleFaction["Lower City"];
    --The Mag'har
    ["Maghar1"] = BabbleFaction["The Mag'har"];
    --Netherwing
    ["Netherwing1"] = BabbleFaction["Netherwing"];
    --Ogri'la
    ["Ogrila1"] = BabbleFaction["Ogri'la"];
    --The Scale of the Sands
    ["ScaleSands1"] = BabbleFaction["The Scale of the Sands"];
    ["ScaleSands2"] = BabbleFaction["The Scale of the Sands"];
    --The Scryers
    ["Scryer1"] = BabbleFaction["The Scryers"]..": 友好/尊敬";
    ["Scryer2"] = BabbleFaction["The Scryers"]..": 崇敬/崇拜";
    --The Sha'tar
    ["Shatar1"] = BabbleFaction["The Sha'tar"];
    --Sha'tari Skyguard
    ["Skyguard1"] = BabbleFaction["Sha'tari Skyguard"];
    --The Sporeggar
    ["Sporeggar1"] = BabbleFaction["Sporeggar"];
    --The Stormpike Guards
    ["Stormpike1"] = BabbleFaction["Stormpike Guard"];
    --The Thorium Brotherhood
    ["Thorium1"] = BabbleFaction["Thorium Brotherhood"]..": 友好/尊敬";
    ["Thorium2"] = BabbleFaction["Thorium Brotherhood"]..": 崇敬/崇拜";
    --Thrallmar
    ["Thrallmar1"] = BabbleFaction["Thrallmar"]..": 友好/尊敬";
    ["Thrallmar2"] = BabbleFaction["Thrallmar"]..": 崇敬/崇拜";
    --Timbermaw Hold
    ["Timbermaw"] = BabbleFaction["Timbermaw Hold"];
    --The Tranquillien
    ["Tranquillien1"] = BabbleFaction["Tranquillien"];
    --The Violet Eye
    ["VioletEye1"] = BabbleFaction["The Violet Eye"];
    --The Wintersaber Trainers
    ["Wintersaber1"] = BabbleFaction["Wintersaber Trainers"];
    --The Zandalar Tribe
    ["Zandalar1"] = BabbleFaction["Zandalar Tribe"]..": 友好/尊敬";
    ["Zandalar2"] = BabbleFaction["Zandalar Tribe"]..": 崇敬/崇拜";
    --Battlegrounds
    ["AVMisc"] = "奧特蘭克山谷雜項獎勵";
    ["AVBlue"] = "奧特蘭克山谷精良獎勵";
    ["AVPurple"] = "奧特蘭克山谷史詩獎勵";
    ["ABMisc"] = "阿拉希盆地雜項獎勵";
    ["ABBlue"] = "阿拉希盆地精良獎勵";
    ["ABPurple"] = "阿拉希盆地史詩獎勵";
    ["ABSets1"] = "阿拉希盆地套裝（布甲/皮甲）";
    ["ABSets2"] = "阿拉希盆地套裝（鎖甲/鎧甲）";
    ["WSGMisc"] = "戰歌峽谷雜項獎勵";
    ["WSGBlue"] = "戰歌峽谷精良獎勵";
    ["WSGPurple"] = "戰歌峽谷史詩獎勵";
    --World PvP
    ["Hellfire"] = "地域火半島: 防禦堡壘";
    ["Nagrand"] = "納葛蘭: 哈剌";
    ["Terokkar"] = "泰洛卡森林: 精神哨塔";
    ["Zangarmarsh"] = "贊格沼澤: 雙塔廢墟";
    --Misc Other PvP
    ["PvP60Accessories1"] = "PvP 配件 (等級 60)";
    ["PvP60Accessories2"] = "PvP 配件 (等級 60)";
    ["PvP70Accessories1"] = "PvP 配件 (等級 70)";
    ["PvP70Accessories2"] = "PvP 配件 (等級 70)";
    ["PvP70NonSet1"] = "PvP 非套裝史詩物品:背部/護腕";
    ["PvP70NonSet2"] = "PvP 非套裝史詩物品:腰帶";
    ["PvP70NonSet3"] = "PvP 非套裝史詩物品:腿部";
    ["PVPWeapons1"] = "等級60 PvP 武器";
    ["PVPWeapons2"] = "等級60 PvP 武器";
    ["PVP70Weapons1"] = "等級70 PvP 武器";
    ["PVP70Weapons2"] = "等級70 PvP 武器";
    };
    
end
